### Function

# CloudProviders Collector dup_singleton

#### Declaration [src]

    CloudProvidersCollector*
    cloud_providers_collector_dup_singleton (
      void
    )

#### Description [src]

Main object to track changes in all providers.

#### Return value

Type: `CloudProvidersCollector`

A manager singleton.

The caller of the function takes ownership of the data, and is responsible for freeing it.